## dpkg 1.22.2ubuntu2

=== debian/changelog ===
dpkg (1.22.2ubuntu2) noble; urgency=medium

  * Set zstd compression level back to 19. (LP: #2048137)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 04 Jan 2024 17:24:19 -0700

dpkg (1.22.2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - scripts/Dpkg/Vendor/Ubuntu.pm, scripts/dpkg-buildpackage.pl: set
      'nocheck' in build options by default on Ubuntu/riscv64.  Overridable
      in debian/rules with
      'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    - dpkg-dev: Depend on lto-disabled-list.
    - dpkg-buildflags: Read package source names from lto-disabled-list,
      to build without lto optimizations. When adding a source package to the
      list, please also file a launchpad issue and tag it with 'lto'.
    - scripts/Dpkg/Vendor/Ubuntu.pm: set 'noudeb' build profile by
      default. Override this by exporting DEB_BUILD_PROFILE='!noudeb' which
      will be stripped, and thus building with udebs.
    - build: Switch default dpkg-deb compression from xz to zstd.
      Keep compressing dpkg.deb with xz to help bootstrapping on non-Ubuntu
      systems.
    - set default zstd compression level to 19
    - scripts/Dpkg/Vendor/Debian.pm: Always include "-fdebug-prefix-map"
      to build flags.  Map path to "/usr/src/PKGNAME-PKGVER" instead of
      ".", honouring the DWARF standard which prohibits relative paths
      in DW_AT_comp_dir.
    - scripts/{mk/buildflags.mk,t.mk}: Add support for DEB_BUILD_DEBUGPATH.
    - man/dpkg-buildflags.pod: Document new behaviour of "fdebugmap" and
      new DEB_BUILD_DEBUGPATH variable.
    - Disable -fstack-clash-protection on armhf since it causes crashes
    - dpkg-buildflags: Add a new feature "framepointer" in the "qa" area.
    - Turn on the use of frame pointers by default on 64bit architectures.
    - Switch _FORTIFY_SOURCE to 3 by default instead of 2 when hardening is
      enabled
    - Update _FORTIFY_SOURCE documentation.
    - Update Dpkg_BuildFlags test case.
    - Don't install dpkg-fsys-usrunmess script.
  * Dropped changes, no longer needed:
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib:
      only relevant for armel which is obsolete in Ubuntu.
  * Fix debian/rules duplicate invocations of dh_builddeb
  * lib/dpkg/compress.c: clean up override of the default zstd compression
    level
  * Drop a delta to man/dpkg-deb.pod, %DEB_DEFAULT_COMPRESSOR% expands to
    the correct value for us (zstd).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Dec 2023 16:28:05 -0800

dpkg (1.22.2) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-shlibdeps: Do not require debian/control when parsing CLI options.
    Closes: #1055536
  * Architecture support:
    - Remove arm64ilp32 support.
      See https://lists.debian.org/debian-dpkg/2023/11/msg00007.html.
    - Remove uclinux support.
      See https://lists.debian.org/debian-dpkg/2023/11/msg00012.html.
    - Remove knetbsd-any support.
    - Restrict kfreebsd ports to amd64 and i386.
    - Restrict kopensolaris ports to amd64 and i386.
    - Restrict hurd ports to amd64 and i386.
    - Restrict dragonflybsd ports to amd64.
    - Restrict aix ports to powerpc and ppc64.
    - Restrict solaris ports to amd64, i386, sparc and sparc64.
    - Restrict darwin ports to amd64, arm, arm64, i386, powerpc and ppc64.
    - Restrict freebsd ports to amd64, arm, arm64, i386, powerpc, ppc64, riscv.
    - Split tupletable header names description into two paragraphs.
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Switch to use --signer-file.
    - Dpkg::Vendor::Debian: Mask PIE for alpha and ia64. Closes: #1040062
    - Dpkg::Control::Types: Add aliases for type enumerations.
  * Documentation:
    - man: Add dpkg-build-api behavior for Rules-Requires-Root field defaults.
    - man: Improve description for dpkg-build-api v1 items.
    - doc, man: Clarify terminology for Debian control files.
  * Code internals:
    - libcompat: Disable VLA usage for gettext.h.
    - libdpkg: Remove dead code after non-returning error function call.
    - libdpkg: Mark varbuf constructor as explicit.
    - Reduce variables scope.
    - update-alternatives: Wrap the bad_format() function pointer call into a
      new function.
    - start-stop-daemon: Rename local variables shadowing global info()
      function name.
    - libdpkg: Add underscore after NO to FHFF_NONEW and FHFF_NOCOPY enum
      values.
    - Use FHFF_NONE instead of a literal 0 in calls to fsys_hash_find_node().
      Reported by Alexandre Detiste <alexandre.detiste@gmail.com>.
    - dpkg-split: Change heading print logic to use a proper boolean.
    - dpkg-shlibdeps: Defer add_library_dir() calls after option parsing.
    - libdpkg: Remove unused DEFAULTSHELL and DEFAULTPAGER macros.
    - dpkg-buildapi: Do not include newline in Usage text to be translated.
  * Build system:
    - Check whether we need to linkg against libtinfo explicitly.
    - Add support for structured procfs via struct psinfo.
    - Replace action-if-found with : for extra libselinux check.
    - Check and print sizeof off_t and time_t on the configure summary.
  * Packaging:

