## dpkg 1.22.6~bpo12+rpt3

=== debian/changelog ===
dpkg (1.22.6~bpo12+rpt3) bookworm; urgency=medium

  * Since Buster, Debian has been shipping a filesystem layout that is
    unsupported by dpkg.
    - Revert warning in postinst. It links to a page which contains false
      information and may do more harm than good
      Reverts 57e084a52e1ede33b7914c3e0357311ac370a186
  * Do not set -Werror=implicit-function-declaration unconditionally since it
    breaks some builds
    - Reverts 07140b132092e92d8d6b1b6805ff056089951dad

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 12 Jun 2024 09:41:34 +0100

dpkg (1.22.6~bpo12+rpt2) bookworm; urgency=medium

  * Disable time64 feature by default 
    - Reverts 1f0ebe1945724fd57fd3984af0031ce9bf55b524

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 May 2024 13:58:44 +0100

dpkg (1.22.6~bpo12+rpt1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Simon Long <simon@raspberrypi.com>  Fri, 10 May 2024 10:54:44 +0100

dpkg (1.22.6) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-deb: Fix up compressor parameters for default legacy format.
  * Perl modules:
    - Dpkg::Vendor::Debian: Make it possible to disable qa=-bug-implicit-func.
      Closes: #1065371
    - Dpkg::Vendor::Debian: Unconditionally set qa bug-implicit-func.
      See #1065371.
  * Documentation:
    - man: Document dpkg versions supporting SOURCE_DATE_EPOCH for various
      tools.
  * Code internals:
    - libdpkg: Use array access instead of pointer arithmetic for meminfo
      parser.
    - libdpkg: Use a macro to define the zstd default compression level.
  * Build system:
    - Test with minimal library dependencies in CI.
    - Add gen-release script.
  * Packaging:
    - Fix typo in man page reference in changelog.
  * Test suite:
    - Refactor OpenPGP backend and commands list.
    - Refactor certfile and keyfile filenames for OpenPGP test.
    - Skip OpenPGP tests if the backend does not have a verify command.
      Closes: #1065648
  * Localization:
    - Fix typos in Swedish man pages translations.
      Thanks to Andreas Rönnquist <gusnan@debian.org>. Closes: #1065672
    - Fix typos in Swedish man pages translations. Closes: #1065575
    - Update Dutch man pages translations.
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
      Closes: #1065518
    - Update Portuguese man pages translations.
      Thanks to Américo Monteiro <a_monteiro@gmx.com>. Closes: #1065401

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Mar 2024 20:21:24 +0100

dpkg (1.22.5) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-buildapi: Remove -v alias for --version.
  * dpkg-query: Fix exit codes for --show. Closes: #1064036
  * Perl modules:
    - Dpkg::OpenPGP::Backend::Sequoia: Update to new CLI API changes.
    - Dpkg::OpenPGP::Backend::GnuPG: Add support for Sequoia gpg Chameleon.
    - Dpkg::Vendor::Debian: Only append branch compiler flags if $flag is set.
    - Dpkg::Vendor: Make the add_build_flags() a non-private method.
    - Dpkg::Vendor::Ubuntu: Pass compiler flags to disable features.
      Based on a patch by Matthias Klose <doko@ubuntu.com>.
    - Dpkg::Vendor::Debian: Enable time64 feature by default except on
      <some>-i386. Closes: #1037136
      Based on a patch by Steve Langasek <steve.langasek@ubuntu.com>.
    - Dpkg::Vendor::Debian: Enable qa=+bug-implicit-func for abi=+time64
      feature. Based on a patch by Steve Langasek <steve.langasek@ubuntu.com>.
  * Documentation:
    - man, doc: Fix dpkg-buildapi option and command grouping in descriptions.
    - man: Add spaces around make variable assignments.
    - man: Do not duplicate list of known feature areas in dpkg-buildflags.
    - man: Document known feature areas in DEB_BUILD_OPTIONS for
      dpkg-buildpackage.
    - man: Improve build flags feature specification in environment variables.
      Closes: #1063641
    - man: Use L</> markup for inter link reference.
    - man: Mention Build-Depends-Packages in dpkg-shlibdeps(1).
  * Code internals:
    - libdpkg: Add comment clarifying GNU long name tar format expectations.
    - libdpkg: Use an intermediate mode variable in secure_unlink_statted().
    - dpkg: Rename symlink_len to linksize.
    - dpkg: Rename r variable for readlink() return value to linksize.
    - dpkg: Reduce variable scope in conffderef().
    - libdpkg: Refactor file_readlink() function.
    - libdpkg: Deindent an else clause.
    - lib, src: Fold if with last previous else.
    - perl: Fold if into previous else.
    - dpkg-mergechangelogs: Refactor merge_tail() sub from anonymous sub.
    - dpkg-query: Rename rc variables tracking no matches to misses.
    - dpkg-query: Rename failures variables tracking no matches to misses.
  * Build system:
    - Rename pkexec variables to polkitactions.
    - Move directory definitions to configure.
    - Use PACKAGE_TARNAME for pathname components in directories.
    - Split each automake variable value into its own line.
    - Reorder automake variables.
    - Move update-alternatives rules within automake conditional.
    - Move MD_LIBS from LDFLAGS to LDADD for libdpkg.
    - Fix libdpkg library flags for static and dynamic linking.
    - Add infrastructure for bash-completions.
  * Test suite:
    - Pass -T+1 to xz to workaround spurious warning with xz 5.6.0.
      Closes: #1064856

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.
    - Update German scripts translation.

 -- Guillem Jover <guillem@debian.org>  Tue, 27 Feb 2024 04:28:03 +0100

dpkg (1.22.4) unstable; urgency=medium

  [ Guillem Jover ]
  * Code internals:
    - dpkg: Rename r variable for readlink() return value to symlink_len.
    - dpkg: Rename r variable for fd_read() return value to n.
    - dpkg-deb: Rename r variable for fd_read() return value to nread.
    - dpkg-deb: Rename r variables for fd_read() call chain return value to rc.

