=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,11 @@
 
 testflags = TESTSUITEFLAGS=$(TESTSUITEFLAGS) TEST_PARALLEL=$(NUMJOBS)
 
+dpkg_vendor = \
+	$(CURDIR)/build-aux/run-script scripts/dpkg-vendor.pl
+
+DEB_VENDOR = $(shell $(call dpkg_vendor) --query Vendor)
+
 D := $(CURDIR)/debian/tmp
 
 %:
@@ -47,7 +52,6 @@
 	dh_auto_configure -- \
 		$(confflags) \
 		$(shell $(dpkg_buildflags) --export=configure) \
-		--sbindir=/sbin \
 		--libexecdir=\$${exec_prefix}/lib \
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-libz \
@@ -85,8 +89,22 @@
 override_dh_compress:
 	dh_compress -Xspec/
 
-override_dh_builddeb:
-	# Make debootstrap life easier on non-Debian based systems by
-	# compressing dpkg.deb with xz instead of zstd.
-	dh_builddeb -pdpkg -- -Zxz
-	dh_builddeb -Ndpkg
+ifeq (,$(filter $(DEB_VENDOR),Debian Ubuntu Raspbian))
+execute_after_dh_install:
+	dh_install -pdpkg usr/sbin/dpkg-fsys-usrunmess
+
+# XXX: We cannot use -X, see debhelper #756366.
+execute_after_dh_installman:
+	dh_installman -pdpkg $(wildcard \
+	  $(D)/usr/share/man/*/dpkg-fsys-usrunmess.8  \
+	  $(D)/usr/share/man/*/*/dpkg-fsys-usrunmess.8 \
+	)
+
+# XXX: We cannot pass pathnames to dh_installman w/o $(D), and then dh_missing
+# complains that the pathnames do not match, so ignore them.
+override_dh_missing:
+	dh_missing -Xdpkg-fsys-usrunmess.8
+else
+override_dh_missing:
+	dh_missing -Xdpkg-fsys-usrunmess
+endif
