## dpkg 1.22.6deepin3

=== debian/changelog ===
dpkg (1.22.6deepin3) unstable; urgency=medium

  * Enable LSX (128-bit vector extension) optimisation for loong64.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 28 May 2024 10:30:26 +0800

dpkg (1.22.6deepin2) unstable; urgency=medium

  * Revert qa bug-implicit-func changes in 1.22.6.
   * Perl modules:
    - Dpkg::Vendor::Debian: Make it possible to disable qa=-bug-implicit-func.
    - Dpkg::Vendor::Debian: Unconditionally set qa bug-implicit-func.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 27 May 2024 11:28:48 +0800

dpkg (1.22.6deepin1) unstable; urgency=medium

  * Add Dpkg::Vendor::Deepin.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 27 May 2024 11:20:43 +0800
