=== debian/changelog ===
dpkg (1.22.6deepin4) unstable; urgency=medium

  * fix: add -fPIC cflags.

 -- lichenggang <lichenggang@deepin.org>  Mon, 17 Feb 2025 16:08:36 +0800
