=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	-Wno-missing-field-initializers \
 	-Wno-nonnull-compare \
 	-Wno-unused-parameter \
+	-fPIC \
 	# EOL
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -89,7 +90,7 @@
 override_dh_compress:
 	dh_compress -Xspec/
 
-ifeq (,$(filter $(DEB_VENDOR),Debian Ubuntu Raspbian))
+ifeq (,$(filter $(DEB_VENDOR),Debian Ubuntu))
 execute_after_dh_install:
 	dh_install -pdpkg usr/sbin/dpkg-fsys-usrunmess
