=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg.git
@@ -119,13 +118,12 @@
  patch (>= 2.7),
  make,
  binutils,
- lto-disabled-list,
 Recommends:
  build-essential,
  gcc | c-compiler,
  fakeroot,
- gnupg | sq | sqop | pgpainless-cli,
- gpgv | sq | sqop | pgpainless-cli,
+ gnupg | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
+ gpgv | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
 # Used by dpkg-mergechangelogs.
  libalgorithm-merge-perl,
 Suggests:
@@ -134,7 +132,7 @@
 # Force R³ support, w/o requiring debhelper users to depend on dpkg-dev.
  debhelper (<< 10.10.1~),
 # Uses new sq features, w/o requiring a hard dependency on sq.
- sq (<< 0.28.0~),
+ sq (<< 0.33.0~),
 # Uses required SOP features, w/o requiring a hard dependency on sqop.
  sqop (<< 0.27.2~),
 # Uses required SOP features, w/o requiring a hard dependency on pgpainless.
@@ -170,8 +168,8 @@
  xz-utils (>= 5.4.0),
 Suggests:
  debian-keyring,
- gnupg | sq | sqop | pgpainless-cli,
- gpgv | sq | sqop | pgpainless-cli,
+ gnupg | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
+ gpgv | sq | sqop | pgpainless-cli | sequoia-chameleon-gnupg,
  gcc | c-compiler,
  binutils,
  patch,
@@ -189,7 +187,7 @@
 # versions prior to 1.19.0.
  dgit (<< 3.13~),
 # Uses new sq features, w/o requiring a hard dependency on sq.
- sq (<< 0.28.0~),
+ sq (<< 0.33.0~),
 # Uses required SOP features, w/o requiring a hard dependency on sqop.
  sqop (<< 0.27.2~),
 # Uses required SOP features, w/o requiring a hard dependency on pgpainless.
