## dpkg 1.22.6ubuntu6.1

=== debian/changelog ===
dpkg (1.22.6ubuntu6.1) noble-security; urgency=medium

  * SRU:
    - Disable framepointer on ppc64el. LP: #2064539.
    - Disable framepointer on s390x, leaving only -mbackchain. LP: #2064538.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2024 11:09:50 +0200
