## dpkg 1.22.6ubuntu6.1trisquel5

=== debian/changelog ===
dpkg (1.22.6ubuntu6.1trisquel5) ecne-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 10 Sep 2024 18:34:38 +0000
