## dpkg 1.22.6ubuntu6.2

=== debian/changelog ===
dpkg (1.22.6ubuntu6.2) noble; urgency=medium

  [ Zixing Liu ]
  * Add RUSTFLAGS to define frame pointers for Rust toolchain (LP: #2082636).
  * Replaces mainline version number 1.22.6ubuntu12 with 1.22.6ubuntu6.2 in
    the documentation to avoid confusion with backported version.

  [ Benjamin Drung ]
  * buildflags: document RUSTFLAGS
  * buildflags: Always set RUSTFLAGS

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 26 Sep 2024 13:14:01 -0600
