## dpkg 1.22.6ubuntu6.2trisquel5

=== debian/changelog ===
dpkg (1.22.6ubuntu6.2trisquel5) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 18 Sep 2025 06:47:53 +0000
