=== debian/changelog ===
dpkg (1.22.6ubuntu6.3) noble; urgency=medium

  [ Joy Latten ]
  * SRU:
  - Fix cleanup for control member with restricted directories. LP: #2122053
  - Fixes CVE-2025-6297

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 18 Sep 2025 12:43:59 -0500
